package com.cpms.project.process.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;

/**
 * SIF Overview List对象 t_sif_overview
 * 
 * @author admin
 * @date 2024-05-22
 */
public class TSifOverview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** SN */
    @Excel(name = "SN")
    private String sifNo;

    /** 装置/单元 */
    @Excel(name = "装置/单元")
    private String plant;

    /** SIF位号 */
    @Excel(name = "SIF位号")
    private String sifTag;

    /** Deviation */
    @Excel(name = "Deviation")
    private String deviation;

    /** 工艺风险分析文件 */
    @Excel(name = "工艺风险分析文件")
    private String riskAnalysis;

    /** CAUSE and CONSEQUENCE */
    @Excel(name = "CAUSE and CONSEQUENCE")
    private String causeConsequence;

    /** 要求的SIL */
    @Excel(name = "要求的SIL")
    private String requiredSil;

    /** 实现的SIL */
    @Excel(name = "实现的SIL")
    private String acheievedSil;

    /** 版本 */
    @Excel(name = "版本")
    private String ver;

    /** 要求时的平均失效概率 */
    @Excel(name = "要求时的平均失效概率")
    private String pfdavg;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    private List<TSisRecord> recordList;

    public List<TSisRecord> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<TSisRecord> recordList) {
        this.recordList = recordList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSifNo(String sifNo) 
    {
        this.sifNo = sifNo;
    }

    public String getSifNo() 
    {
        return sifNo;
    }
    public void setPlant(String plant) 
    {
        this.plant = plant;
    }

    public String getPlant() 
    {
        return plant;
    }
    public void setSifTag(String sifTag) 
    {
        this.sifTag = sifTag;
    }

    public String getSifTag() 
    {
        return sifTag;
    }
    public void setDeviation(String deviation) 
    {
        this.deviation = deviation;
    }

    public String getDeviation() 
    {
        return deviation;
    }
    public void setRiskAnalysis(String riskAnalysis) 
    {
        this.riskAnalysis = riskAnalysis;
    }

    public String getRiskAnalysis() 
    {
        return riskAnalysis;
    }
    public void setCauseConsequence(String causeConsequence) 
    {
        this.causeConsequence = causeConsequence;
    }

    public String getCauseConsequence() 
    {
        return causeConsequence;
    }
    public void setRequiredSil(String requiredSil) 
    {
        this.requiredSil = requiredSil;
    }

    public String getRequiredSil() 
    {
        return requiredSil;
    }
    public void setAcheievedSil(String acheievedSil) 
    {
        this.acheievedSil = acheievedSil;
    }

    public String getAcheievedSil() 
    {
        return acheievedSil;
    }
    public void setVer(String ver) 
    {
        this.ver = ver;
    }

    public String getVer() 
    {
        return ver;
    }
    public void setPfdavg(String pfdavg) 
    {
        this.pfdavg = pfdavg;
    }

    public String getPfdavg() 
    {
        return pfdavg;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sifNo", getSifNo())
            .append("plant", getPlant())
            .append("sifTag", getSifTag())
            .append("deviation", getDeviation())
            .append("riskAnalysis", getRiskAnalysis())
            .append("causeConsequence", getCauseConsequence())
            .append("requiredSil", getRequiredSil())
            .append("acheievedSil", getAcheievedSil())
            .append("ver", getVer())
            .append("pfdavg", getPfdavg())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
